---
layout: page
title: proxmox_virtual_environment_acme_plugin
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves a single ACME plugin by plugin ID name.
---

# Data Source: proxmox_virtual_environment_acme_plugin

Retrieves a single ACME plugin by plugin ID name.

## Example Usage

```terraform
data "proxmox_virtual_environment_acme_plugin" "example" {
  plugin = "standalone"
}

output "data_proxmox_virtual_environment_acme_plugin" {
  value = data.proxmox_virtual_environment_acme_plugin.example
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `plugin` (String) ACME Plugin ID name.

### Read-Only

- `api` (String) API plugin name.
- `data` (Map of String) DNS plugin data.
- `digest` (String) Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications.
- `type` (String) ACME challenge type (dns, standalone).
- `validation_delay` (Number) Extra delay in seconds to wait before requesting validation. Allows to cope with a long TTL of DNS records (0 - 172800).
