---
layout: page
title: proxmox_virtual_environment_apt_repository
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves an APT repository from a Proxmox VE cluster.
---

# Data Source: proxmox_virtual_environment_apt_repository

Retrieves an APT repository from a Proxmox VE cluster.

## Example Usage

```terraform
data "proxmox_virtual_environment_apt_repository" "example" {
  file_path = "/etc/apt/sources.list"
  index     = 0
  node      = "pve"
}

output "proxmox_virtual_environment_apt_repository" {
  value = data.proxmox_virtual_environment_apt_repository.example
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `file_path` (String) The absolute path of the source list file that contains this repository.
- `index` (Number) The index within the defining source list file.
- `node` (String) The name of the target Proxmox VE node.

### Read-Only

- `comment` (String) The associated comment.
- `components` (List of String) The list of components.
- `enabled` (Boolean) Indicates the activation status.
- `file_type` (String) The format of the defining source list file.
- `id` (String) The unique identifier of this APT repository data source.
- `package_types` (List of String) The list of package types.
- `suites` (List of String) The list of package distributions.
- `uris` (List of String) The list of repository URIs.
