---
layout: page
title: proxmox_virtual_environment_datastores
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves information about all the datastores available to a specific node.
---

# Data Source: proxmox_virtual_environment_datastores

Retrieves information about all the datastores available to a specific node.



<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `node_name` (String) The name of the node to retrieve the stores from.

### Optional

- `datastores` (Attributes List) The list of datastores. (see [below for nested schema](#nestedatt--datastores))
- `filters` (Attributes) The filters to apply to the stores. (see [below for nested schema](#nestedatt--filters))

<a id="nestedatt--datastores"></a>
### Nested Schema for `datastores`

Required:

- `content_types` (Set of String) Allowed store content types.
- `id` (String) The ID of the store.
- `node_name` (String) The name of the node the store is on.
- `type` (String) Store type.

Optional:

- `active` (Boolean) Whether the store is active.
- `enabled` (Boolean) Whether the store is enabled.
- `shared` (Boolean) Shared flag from store configuration.
- `space_available` (Number) Available store space in bytes.
- `space_total` (Number) Total store space in bytes.
- `space_used` (Number) Used store space in bytes.
- `space_used_fraction` (Number) Used fraction (used/total).


<a id="nestedatt--filters"></a>
### Nested Schema for `filters`

Optional:

- `content_types` (Set of String) Only list stores with the given content types.
- `id` (String) Only list stores with the given ID.
- `target` (String) If `target` is different to `node_name`, then only lists shared stores which content is accessible on this node and the specified `target` node.
